> ## Documentation Index
> Fetch the complete documentation index at: https://wato.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize user

> This is request to authorize existing user to use dashboard

| **field_name** | **data_type** | **comment** |
| --- | --- | --- |
| user_name | string |  |
| password | string |  |



## OpenAPI

````yaml post /api/v1/user/authorize_user
openapi: 3.0.0
info:
  title: wato-external
  description: >-
    [Wato.ai](https://wato.ai) is a zero-cost messaging platform focused on
    WhatsApp groups and community retargeting. It allows for the management and
    growth of WhatsApp channels, aiming to save companies their WhatsApp
    marketing costs by ensuring 100% message delivery at no cost. The platform
    highlights its effectiveness in delivering messages compared to other
    channels like SMS, emails, and mobile app notifications, offering insights
    and analytics to elevate decision-making processes and strategies for growth
  version: 1.0.0
servers:
  - url: http://{{base_url}}
security: []
paths:
  /api/v1/user/authorize_user:
    post:
      tags:
        - default
      summary: authorize_user
      description: |-
        This is request to authorize existing user to use dashboard

        | **field_name** | **data_type** | **comment** |
        | --- | --- | --- |
        | user_name | string |  |
        | password | string |  |
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                password: <Your-password>
                user_name: <Your-username>
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: number
                example: nginx/1.22.1
            Date:
              schema:
                type: string
                example: Mon, 04 Mar 2024 10:10:13 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '672'
            Connection:
              schema:
                type: string
                example: keep-alive
            X-Powered-By:
              schema:
                type: string
                example: Express
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            ETag:
              schema:
                type: string
                example: W/"2a0-XR1R1sVvVDwM9f+wL4V6vN+9lb8"
          content:
            application/json:
              schema:
                type: object
              example:
                error: false
                status: success
                code: 200
                data:
                  token: >-
                    eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImdhdXJhdkBqeW90aXN5YS5haSIsInVzZXJfbmFtZSI6ImhnbGkiLCJwaG9uZV9udW1iZXIiOiI5MTgzNDA1NjIwMzYiLCJmaXJzdF9uYW1lIjoiR2F1cmF2IiwibGFzdF9uYW1lIjoiS3VtYXIiLCJ3aGFyc2FwcF9udW1iZXIiOiI5MTc2NzY1ODQ2MDIiLCJpc19maXJzdF9sb2dpbiI6ZmFsc2UsImlhdCI6MTcwOTU0NzAxMywiZXhwIjoxNzI1MDk5MDEzLCJpc3MiOiJhcGkud2F0by5haSJ9.o_W-5oMzZMbESnhWfOeSYJ2iFjCWZv8G47spseqgLnE
                  user_info:
                    user_id: 1
                    email: abc@xyz.com
                    user_name: <username>
                    phone_number: <phone_number>
                    first_name: <first_name>
                    last_name: <last_name>
                    wharsapp_number: <whatsapp_number>
                    is_first_login: false

````